#
# spec file for package python-automaton
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-automaton
Version:        1.14.0
Release:        lp151.3.4
Summary:        Friendly state machines for python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/automaton
Source0:        https://files.pythonhosted.org/packages/source/a/automaton/automaton-1.14.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PrettyTable >= 0.7.1
BuildRequires:  python2-debtcollector >= 1.2.0
BuildRequires:  python2-oslosphinx >= 4.7.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-PrettyTable >= 0.7.1
BuildRequires:  python3-debtcollector >= 1.2.0
BuildRequires:  python3-devel
BuildRequires:  python3-oslosphinx >= 4.7.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-debtcollector >= 1.2.0
Requires:       python-pbr >= 2.0.0
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%python_subpackages

%description
Friendly state machines for python.

%package -n python-automaton-doc
Summary:        Documentation for the Automaton Library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-automaton-doc
Documentation for the Automaton library.

%prep
%autosetup -p1 -n automaton-1.14.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the Sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/automaton
%{python_sitelib}/*.egg-info

%files -n python-automaton-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Thu Jan 18 2018 cloud-devel@suse.de
- update to version 1.14.0
  - Updated from global requirements
* Wed Dec 20 2017 cloud-devel@suse.de
- update to version 1.13.1
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - Updated from global requirements
  - Avoid tox_install.sh for constraints support
  - Remove kwarg default_start_state in the machine constructor
* Thu Sep 28 2017 cloud-devel@suse.de
- update to version 1.12.1
  - Update .gitreview for stable/pike
  - Updated from global requirements
  - Update UPPER_CONSTRAINTS_FILE for stable/pike
* Thu Aug 24 2017 tbechtold@suse.com
- Fix url
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.12.0
  - rearrange existing documentation according to the new standard layout
  - Update URLs in documents according to document migration
  - Remove support for py34
  - update link to docs in readme
  - Update reno for stable/ocata
  - Remove unused dependecy testscenarios
  - Remove pbr warnerrors in favor of sphinx check
  - Updated from global requirements
  - switch from oslosphinx to openstackdocstheme
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 1.7.0:
  - Removes unnecessary utf-8 encoding
  - Add Constraints support
  - Updated from global requirements
  - Don't include openstack/common in flake8 exclude list
  - Changed the home-page link
  - Replace six.iteritems() with .items()
  - Fix release notes gate failure
  - Add reno for release notes management
* Fri Aug 26 2016 tbechtold@suse.com
- update to version 1.4.0:
  * Remove discover from test-requirements
  * Add Python 3.5 classifier and venv
  * Updated from global requirements
- Update _service and switch to upstream spec template
* Thu Mar  3 2016 tbechtold@suse.com
- update to 1.2.0:
  * Add a state-space machine building example
  * Ensure state space can also pass on_enter/exit callbacks
  * Updated from global requirements
  * Updated from global requirements
  * Ensure machine special method(s) include in generated docs
  * Put py34 first in the envlist order of tox ,remove py33
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Deprecated tox -downloadcache option removed
  * Updated from global requirements
  * Remove python 2.6 and cleanup tox.ini
  * Added code coverage section to tox
  * No need for Oslo Incubator Sync
  * Ignore generated files
  * docs - Set pbr 'warnerrors' option for doc build
  * Remove dummy/placeholder 'ChangeLog' as its not needed
  * Enhance the README
  * Fix the build path in .gitignore file
  * Updated from global requirements
  * Provide a finite machine build() method
  * Allow for raising on duplicate transition registration
- update Requires according to requirements.txt
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.7.0:
  * Updated from global requirements
  * Activate pep8 check that _ is imported
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file
* Tue Jul 28 2015 tbechtold@suse.com
- update to 0.5.0:
  * Ensure doctesting and doc8 testing done in py27 env
  * Updated from global requirements
  * Remove setup.cfg 'requires-python' incorrect entry
  * Document `process_event` return and expose return namedtuple type
  * Allow providing and using a 'nested_start_state_fetcher'
- add _service
- update Requires according to requirements.txt
* Wed Jul 22 2015 dmueller@suse.com
- Initial package (0.4.0)
